Bug 1730003 - [DOCS] Need to elaborate openshift_cloudprovider_vsphere_vm_ variables
Summary: [DOCS] Need to elaborate openshift_cloudprovider_vsphere_vm_ variables
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.11.z
Assignee: Max Bridges
QA Contact: sheng.lao
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-15 14:51 UTC by Fatima
Modified: 2019-12-12 20:03 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-12 20:03:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Fatima 2019-07-15 14:51:23 UTC
Document URL: https://docs.openshift.com/container-platform/3.11/install_config/configuring_vsphere.html#vsphere-configuring-masters-ansible_configuring-for-vsphere

Section Number and Name: Procedure 2.

Describe the issue: The below variables are just present in the documentation.

VM deployment
openshift_cloudprovider_vsphere_template="rhel75-template"
openshift_cloudprovider_vsphere_vm_network="VM Network"
openshift_cloudprovider_vsphere_vm_netmask="255.255.254.0"
openshift_cloudprovider_vsphere_vm_gateway="10.x.y.254"
openshift_cloudprovider_vsphere_vm_dns="10.x.y.5"


Suggestions for improvement: 

It would improve our doc quality if these would be explained/elaborated.

Comment 3 Max Bridges 2019-08-19 12:47:30 UTC
Hi Dave, 

Are you able to provide information about these variables? It looks like you added them to the example file referenced in the support ticket a while ago.

Comment 4 davis phillips 2019-08-19 15:45:20 UTC
Greetings,

VM deployment
openshift_cloudprovider_vsphere_template="rhel75-template"
openshift_cloudprovider_vsphere_vm_network="VM Network"
openshift_cloudprovider_vsphere_vm_netmask="255.255.254.0"
openshift_cloudprovider_vsphere_vm_gateway="10.x.y.254"
openshift_cloudprovider_vsphere_vm_dns="10.x.y.5"

These are optional variables for provisioning. They aren't mentioned in the docs, because the provisioning is not supported by Red Hat and is optional. 

https://access.redhat.com/documentation/en-us/reference_architectures/2019/html-single/deploying_and_managing_openshift_3.11_on_a_vmware_software-defined_data_center/index#deploying_a_vsphere_vm_environment_optional

The steps are covered in the 3.11 refarch appendix. All of the variables above are used when customizing the virtual machines that are deployed with the vmware_guest ansible module. 

Does that answer your questions?

Comment 17 sheng.lao 2019-11-22 03:01:40 UTC
I checked the all the jobs used to create OCP 3.11 on vsphere and I found that we don't use VM deployments.

As davis phillips says `... is not supported by Red Hat and is optional.`. So I think we can remove those vars from the doc

Comment 18 Cody Hoag 2019-12-12 16:30:18 UTC
New PR for this was sent in https://github.com/openshift/openshift-docs/pull/18569. It is now merged for 3.10 and 3.11.


Note You need to log in before you can comment on or make changes to this bug.